<template>
    <div class="col-md-4 profile-col">
        <div class="card card-custom" style="padding: 0;">
            <img src="../assets/images/cover-photo.jpg" class="card-img-top" alt="Pokemon Cover Photo">
            <div class="card-body profile-body">
                <img :src="user.image_url" class="card-img-photo" alt="Pokemon Cover Photo">
                <button @click="editProfile" class="btn btn-sm btn-primary btn-profile-edit">
                    <i class="fa fa-pencil" aria-hidden="true"></i> Edit Profile
                </button>
            </div>
            <div class="card-body profile-body" style="z-index: auto;">
                <h5 class="card-title profile-name">{{ user.first_name }} {{ user.last_name }}</h5>
                <div class="card-text profile-text">
                    <span class="profile-details">
                        <i class="fa fa-envelope-o" aria-hidden="true"></i> {{ user.email }}
                    </span>
                    <span class="profile-details">
                        <i class="fa fa-birthday-cake" aria-hidden="true"></i>
                        {{ new Date(user.birthdate).toLocaleDateString("en-US", {
                                year: 'numeric', month: 'long', day:
                                    'numeric'
                            })
                        }}
                    </span>
                </div>

                <!-- LIKES -->
                <h6  class="card-title profile-pokemon-title">
                    Like/s
                    <small v-show="!likes">
                        <br>There are no liked Pokémon as of yet.
                    </small>
                </h6>
                <div class="profile-pokemons">
                    <PokemonChip v-for="like in likes" :key="like.id" :chip="like" />
                </div>
                <!-- HATES -->
                <h6 class="card-title profile-pokemon-title">
                    Hate/s:
                    <small v-show="!dislikes">
                        <br>There are no hated Pokémon as of yet.
                    </small>
                </h6>
               
                <div class="profile-pokemons" style="padding-bottom: 12px;">
                    <PokemonChip v-for="dislike in dislikes" :key="dislike.id" :chip="dislike" />
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import PokemonChip from '../components/PokemonChip';
export default {
    name: "ProfileCard",
    props: {
        user: JSON,
        likes: Object,
        dislikes: Object,
    },
    components: {
        PokemonChip,
    },
    methods: {
        editProfile(){
            this.$router.push('/edit-profile')
        }
    },
}
</script>